export const routerConfig = [
  {
    path: '/user',
    component: '../layouts/UserLayout',
    routes: [
      {
        name: 'login',
        path: '/user/login',
        component: './user/login',
      },
    ],
  },
  { path: '/', redirect: '/welcome' },
  {
    path: '/',
    component: '../layouts/BasicLayout',
    routes: [
      {
        name: '欢迎',
        path: '/welcome',
        icon: 'smile',
        component: './Welcome',
      },
      {
        name: '数据统计',
        path: '/statistics',
        icon: 'dashboard',
        hideInMenu: true,
        routes: [
          {
            component: './404',
          },
        ]
      },
      {
        name: '活动管理',
        path: '/activity',
        icon: 'flag',
        hideInMenu: true,
        routes: [
          {
            component: './404',
          },
        ],
      },
      {
        name: '系统管理',
        path: '/system',
        icon: 'setting',
        hideInMenu: true,
        routes: [
          {
            component: './404',
          },
        ],
      },
      {
        name: '财务管理',
        path: '/finance',
        icon: 'dollar',
        hideInMenu: true,
        routes: [
          {
            component: './404',
          },
        ],
      },
    ],
  },
  {
    component: './404',
  },
];
