import { stringify } from 'qs';
import request from '@/utils/request';

// 获取统计列表
export const getStatPlatformPageList = (params) => {
  return request(`/api-manage/v1/stat/getStatPlatformPageList?${stringify(params)}`)
}

// 渠道-获取渠道列表
export const getChannelPageList = (params) => {
  return request(`/api-manage/v1/channel/getChannelPageList?${stringify(params)}`)
}

// 渠道-获取全部渠道列表
export const getAllChannel = (params) => {
  return request(`/api-manage/v1/channel/getAllChannel?${stringify(params)}`)
}

// 统计 -- 今日 昨日
export const getCurrentAndYesterdayStat = (params) => {
  return request(`/api-manage/v1/stat/getCurrentAndYesterdayStat?${stringify(params)}`)
}

// 获取统计详情 -- 单统计类型
export const getStatDetail = (params) => {
  return request(`/api-manage/v1/stat/getStatDetail?${stringify(params)}`)
}

// 时段概况 -- 顶部
export const getPeriodOverviewTop = (params) => {
  return request(`/api-manage/v1/stat/getPeriodOverviewTop?${stringify(params)}`)
}

// 时段概况 -- 中间
export const getPeriodOverviewMiddle = (params) => {
  return request(`/api-manage/v1/stat/getPeriodOverviewMiddle?${stringify(params)}`)
}

// 时段概况 -- 底部
export const getPeriodOverviewBottom = (params) => {
  return request(`/api-manage/v1/stat/getPeriodOverviewBottom?${stringify(params)}`)
}

// ================================================================================
// 整体趋势 -- 顶部
export const getOverallTrendTop = (params) => {
  return request(`/api-manage/v1/stat/getOverallTrendTop?${stringify(params)}`)
}

// 整体趋势 -- 中间
export const getOverallTrendMiddle = (params) => {
  return request(`/api-manage/v1/stat/getOverallTrendMiddle?${stringify(params)}`)
}

// 整体趋势 -- 底部
export const getOverallTrendBottom = (params) => {
  return request(`/api-manage/v1/stat/getOverallTrendBottom?${stringify(params)}`)
}

// ================================================================================
// 用户访问趋势
export const getUserAccessTrend = (params) => {
  return request(`/api-manage/v1/stat/getUserAccessTrend?${stringify(params)}`)
}

// 用户付费趋势
export const getUserPaymentTrend = (params) => {
  return request(`/api-manage/v1/stat/getUserPaymentTrend?${stringify(params)}`)
}

// 渠道注册趋势
export const getChannelRegisterTrend = (params) => {
  return request(`/api-manage/v1/stat/getChannelRegisterTrend?${stringify(params)}`)
}
